%define appsdir	%{_datadir}/rox-filer

Name:      	rox-wrappers-plus
Version:   	0.7.1
Release:        1%{?_dist_release}

Summary:    	Wrapper applications and configuration tool for ROX-Filer
Source0:	%{name}-%{version}.tar.bz2
License:	GPL
Group:		User Interface/Desktops
URL:		http://add10.hp.infoseek.co.jp/rox/
Vendor:		Project Vine
Distribution:		Vine Linux
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	noarch
Requires:	rox-filer
Obsoletes:	rox-desktop-plus < 0.1.3
Packager:	OKATANA <mkato@par.odn.ne.jp,mosaicist@par.odn.ne.jp>

%description
ROX Wrapper applications, applets and configuration tool for user environment.

%description -l ja
ROX 用 Wrapper application、applet 集とユーザー環境用設定ツール

%prep
%setup -q

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{appsdir}
cp -r README %{buildroot}/%{appsdir}
cp -r AppsConf %{buildroot}/%{appsdir}
%__mkdir -p %{buildroot}%{_bindir}
%__install -m 755 %{name} %{buildroot}%{_bindir}
%__mkdir -p %{buildroot}%{_datadir}/applications/
%__install -m 644 %{name}.desktop %{buildroot}%{_datadir}/applications/
%__mkdir -p %{buildroot}%{_datadir}/pixmaps/
%__install -m 644 %{name}.png %{buildroot}%{_datadir}/pixmaps/

%clean
rm -rf %{buildroot}

%post
if [ -d /usr/apps ]; then
    if [ ! -f /usr/apps/* ]; then
	rmdir /usr/apps 2> /dev/null
    fi
fi
echo Please click %{appsdir}/RREADME or %{appsdir}/AppsConf !\!

%files
%defattr(-,root,root)
%dir
%defattr(-,root,root)
%{_bindir}/*
%{_datadir}/applications/*
%{appsdir}/README
%{appsdir}/AppsConf
%{_datadir}/pixmaps/*

%changelog
* Thu Aug 26 2010 KATO Masashi <mkato@par.odn.ne.jp> 0.7.1-1
-     ROX-Filer maintenance team OKATANA(KATO Masashi, TANAKA hiroaki)
- source update
- added /usr/bin/rox-wrappers-plus
- added desktop entry

* Sat Sep 12 2009 KATO Masashi <mkato@par.odn.ne.jp> 0.7.0-1
-     ROX-Filer maintenance team OKATANA(KATO Masashi, TANAKA hiroaki)
- source update
-     added some rox applications
- rebuild by new versioning policy.
- changed system directory to /usr/share/rox-filer

* Sun Oct 26 2008 OKATANA <mkato@par.odn.ne.jp,mosaicist@par.odn.ne.jp> 0.6.4-0vl1,1vl5
- add some new AppDir

* Sun Aug  6 2006 OKATANA <mkato@par.odn.ne.jp,mosaicist@par.odn.ne.jp> 0.6.3-0vl1,2
- change Requires to rox-filer

* Fri Mar 18 2005 OKATANA <mkato@par.odn.ne.jp,mosaicist@par.odn.ne.jp> 0.6.1-0vl1,2
- initial package for vine linux
